* chapter9.do
***************************************
* ONEWAY ANOVA
***************************************
use partyid, clear
oneway stemcell partyid, bonferroni tabulate
pwmean stemcell, over(partyid) effects cimeans mcompare(bonferroni)

use gss2006_chapter9, clear
oneway prestg80 mobile16 if age > 29 & age < 60 & wrkstat==1, bonferroni ///
  tabulate
graph bar (mean) prestg80 if age > 29 & age < 60 & wrkst==1, over(mobile16) ///
  title(Mean prestige by mobility since age of 16) ///
  subtitle(Adults age 30 to 59) ytitle(Mean prestige rating) scheme(s2mono)

**************************************
* NONPARAMETRIC ALTERNATIVE
**************************************
use partyid, clear 
kwallis stemcell, by(partyid)
tabstat stemcell, statistics(mean median sd) by(partyid)
graph hbar (median) stemcell, over(partyid) ///
  title(Median stem-cell attitude score by party identification) ///
  ytitle(Median score on stem-cell attitude) ///
  scheme(s2mono)
graph box stemcell, over(partyid) ///
   title(Support for stem-cell research by party identification) ///
   ytitle(Support for stem-cell research) scheme(s2mono)

********************************************
* Analysis of Covariance
********************************************
use gss2006_chapter9, replace
tabulate mobile16 if age > 29 & age < 60 & wrkstat==1, summarize(prestg80)
tabulate age if age > 29 & age < 60 & wrkst==1, summarize(prestg80)
anova prestg80 mobile16 age if age > 29 & age < 60 & wrkst==1
anova prestg80 mobile16 c.age if age > 29 & age < 60 & wrkst==1
margins mobile16, at((mean age)
tab mobile16 sex if age > 29 & age < 60 & wrkstat==1, col chi2
anova prest80 mobile16 sex c.age if age > 29 & age < 60 & wrkstat==1
margins mobile16, at((mean age sex=(1 2))

omega2 sex
omega2 mobile16 
omega2 c.age

*****************
* TWO-WAY ANOVA 
******************
tabulate married, summarize(tvhours)
tabulate workfull, summarize(tvhours)
anova tvhours workfull married
tabulate workfull married, summarize(tvhours)
anova tvhours workfull married workfull#married
margins workfull married workfull#married
quietly: margins workfull
marginsplot
quietly: margins married
marginsplot, noci
quietly: margins workfull#married
marginsplot, noci

******************************************
* REPEATED MEASURES 
******************************************
use wide9, clear
list
reshape long test, i(id) j(time)
list
xtset id
xtreg test
anova test id time, repeated(time)
margins time

*******************************************
* INTRACLASS CORRELATION
*******************************************
use intraclass, clear
list
xtset group
xtreg medicare
